FSPLIT(1)

NAME
fsplit - split a multi-routine Fortran file into individual files

SYNOPSIS
fsplit [-e efile] ... [file]

DESCRIPTION
fsplit takes as input either a file or standard input containing Fortran source code. It attempts to split the input into separate routine files of the form name.f, where name is the name of the program unit (e.g. function, subroutine, block data or program). The name for unnamed block data subprograms has the form blkdtaNNN.f where NNN is three digits and a file of this name does not already exist. For unnamed main programs the name has the form mainNNN.f. If there is an error in classifying a program unit, or if name.f already exists, the program unit will be put in a file of the form zzzNNN.f where zzzNNN.f does not already exist.

-e efile
    Normally each subprogram unit is split into a separate file. When the -e option is used, only the specified subprogram units are split into separate files. E.g.:

        fsplit -e readit -e doit prog.f

    will split readit and doit into separate files.

DIAGNOSTICS
If names specified via the -e option are not found, a diagnostic is written to standard error.

HISTORY
The fsplit command appeared in 4.2BSD.

AUTHORS
Asa Romberger and Jerry Berkman

BUGS
fsplit assumes the subprogram name is on the first noncomment line of the subprogram unit. Nonstandard source formats may confuse fsplit.

It is hard to use -e for unnamed main programs and block data subprograms since you must predict the created file name.